Skip to main content
PUT
/
candidates
/
{id}
/
certifications
Replace certifications
curl --request PUT \
  --url https://api.gospott.com/candidates/{id}/certifications \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "items": [
    {
      "companyId": "<string>",
      "name": "<string>",
      "url": "<string>",
      "issueDate": "2023-11-07T05:31:56Z",
      "expirationDate": "2023-11-07T05:31:56Z",
      "id": "<string>"
    }
  ]
}
'
{
  "status": 0,
  "message": "<string>",
  "requestId": "<string>",
  "errors": [
    {
      "path": "<string>",
      "message": "<string>",
      "received": "<unknown>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Path Parameters

id
string
required

Body

application/json
items
object[]
required

Response

Certifications replaced successfully